---
- hosts: localhost
  become: False

  vars_files:
    - local-vault.yml

  vars_prompt:
    - name: helm_image_tag_staging
      prompt: "Version to deploy for the staging environment"
      default: "latest"
      private: no
    - name: helm_image_tag_prod
      prompt: "Version to deploy for the production environment"
      default: "x.y.z"
      private: no

  roles:
    - secrets.ex-service-template
    - { role: secrets.ex-service-template, secrets_ex_service_template_env: docker }
    - { role: secrets.ex-service-template, secrets_ex_service_template_env: k3s }
    - { role: secrets.ex-service-template, secrets_ex_service_template_env: staging }
    - { role: secrets.ex-service-template, secrets_ex_service_template_env: prod }
